---
title: "Models, apps, trigger types and limits"
description: "Models, apps, trigger types and limits — Spinrun Build REST API operation."
url: https://docs.spinrun.ai/api/catalog/get-catalog
markdown_url: https://docs.spinrun.ai/api/catalog/get-catalog.md
---

# Models, apps, trigger types and limits

Models, apps, trigger types and limits — Spinrun Build REST API operation.

## GET /api/build/catalog

Models, apps, trigger types and limits

Operation id: `getCatalog`

### Responses

| Status | Description |
|---|---|
| 200 | What a document may name, and the workspace's limits. |
| 401 | No or invalid token. The `WWW-Authenticate` header names the authorization server. |
| 403 | The grant has no Build authorization. |

#### 200 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "data": {
      "type": "object",
      "properties": {
        "models": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string"
              },
              "label": {
                "type": "string"
              },
              "tier": {
                "type": "string"
              }
            },
            "required": [
              "id",
              "label",
              "tier"
            ],
            "additionalProperties": false
          }
        },
        "apps": {
          "type": "array",
          "items": {
            "type": "object",
            "properties": {
              "slug": {
                "type": "string"
              },
              "name": {
                "type": "string"
              },
              "connections": {
                "type": "number"
              },
              "tools": {
                "type": "number"
              }
            },
            "required": [
              "slug",
              "name",
              "connections",
              "tools"
            ],
            "additionalProperties": false
          }
        },
        "trigger_types": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "limits": {
          "type": "object",
          "properties": {
            "document_bytes": {
              "type": "number"
            },
            "agents": {
              "type": "number"
            },
            "workflows": {
              "type": "number"
            },
            "triggers_per_agent": {
              "type": "number"
            },
            "workflow_steps": {
              "type": "number"
            },
            "agent_steps": {
              "type": "number"
            }
          },
          "required": [
            "document_bytes",
            "agents",
            "workflows",
            "triggers_per_agent",
            "workflow_steps",
            "agent_steps"
          ],
          "additionalProperties": false
        }
      },
      "required": [
        "models",
        "apps",
        "trigger_types",
        "limits"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "data"
  ],
  "additionalProperties": false
}
```

#### 401 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```

#### 403 · `application/json`

```json
{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "additionalProperties": false
}
```
